if Resource==nil then
	Resource={};
end
Resource[1]={};
Resource[1][1]="English";
Resource[1][2]="Game";
Resource[1][3]="Ring";
Resource[1][4]="Play";
Resource[1][5]="Resign";
Resource[1][6]="Load";
Resource[1][7]="Piles";
Resource[1][8]="Suits";
Resource[1][9]="Deal";
Resource[1][10]=""; -- unused
Resource[1][11]="Menu";
Resource[1][12]="Deck";
Resource[1][13]="Standard";
Resource[1][14]="LoTRO Cards";
Resource[1][15]="Options";
Resource[1][16]="Language";
Resource[1][17]="Trim Color";
Resource[1][18]="Back Color";
Resource[1][19]="Font Color";
Resource[1][20]="Heading Color";
Resource[1][21]="List Color";
Resource[1][22]="Reset";
Resource[1][23]="Save";
Resource[1][24]="Cancel";
Resource[1][25]="Adjusted Invalid Values";
Resource[1][26]="Cheat...";
Resource[1][27]="Stats";
Resource[1][28]="Rules";
Resource[1][29]="Graph";
Resource[1][30]="Grid";
Resource[1][31]="# Piles"
Resource[1][32]="# Suits"
Resource[1][33]="# Played"
Resource[1][34]="# Wins"
Resource[1][35]="% Wins"
Resource[1][36]="# Cheats"
Resource[1][37]="Best Time"
-- rules text
Resource[1][38]="Objective:\n The objective is to stack all of the cards of each suit on the stack matching it's suit in the middle of the ring in order with the lowest ordinal card on the bottom and highest ordinal on top.\n\n Terminology:\n The piles of cards forming a ring are called the Ring Piles. The stacks in the center of the ring are the Suit Stacks. The deck on the top right is called the Chute.\n\n Play:\n Each Ring Pile is initially dealt one card from the Chute. Cards can be played from the Ring Piles or Chute by dragging them to a destination, either a Ring Pile or a Suit Stack.  Cards can be placed on a Ring Pile if they match the suit of the cards already present in that pile and are one ordinal lower than the card already there. The exception is that any 9 can be placed on an empty Ring Pile to start a new pile.  Cards can be placed on a Suit Stack if they are one ordinal higher than the highest card on the Stack or are a 1 (which starts the Stack). Cards from the Chute are turned face up, three at a time by right clicking on the face down deck.  Once turned face up, only the topmost card of the Chute can be placed on a Ring Pile or Suit Stack. If no card from the Ring Piles or Chute can be played and the Chute is all face up, the player can right click the face up deck to flip it back face down and continue play. An entire Ring Pile can be dragged by dragging the card at the bottom of the Pile - you can only drag a Pile to another Pile if it's bottom card is one ordinal lower than the top card of the destination pile OR you can drag a Pile to a Suit Stack if the top card is one ordinal higher than the top card of the Stack. Play continues until all cards are on their Suit Stacks or the player resigns (either by closing the plugin or dealing a new game).\n\n Cheats:\n If the player cycles through the entire Chute twice with no playable cards, they may choose to \"Cheat\" by clicking the \"Cheat\" button. This will flip a single card from the face down deck in the Chute instead of flipping 3 cards. This is only available if there are face down cards in the Chute (right click the face up deck to flip it and refill the Chute to enable \"Cheat\")"
Resource[1][39]="Totals"

-- French
Resource[2]={};
Resource[2][1]="Fran"..string.char(195)..string.char(167).."aise";
Resource[2][2]="Jeu";
Resource[2][3]="L'anneau";
Resource[2][4]="Jouer";
Resource[2][5]="C"..string.char(195)..string.char(169).."der";
Resource[2][6]="Charge";
Resource[2][7]="Piles";
Resource[2][8]="Suits";
Resource[2][9]="Donner"; -- probably incorrect
Resource[2][10]=""; -- unused
Resource[2][11]="Menu";
Resource[2][12]="Deck"; -- need a valid translation
Resource[2][13]="Standard";
Resource[2][14]="SdAO Cartes";
Resource[2][15]="Options";
Resource[2][16]="Langue";
Resource[2][17]="Couleur Trim";
Resource[2][18]="Couleur d'arriere";
Resource[2][19]="Couleur du texte";
Resource[2][20]="Couleur Rubriques";
Resource[2][21]="Couleur de la Liste";
Resource[2][22]="Couleurs par defaut";
Resource[2][23]="Enregistrer";
Resource[2][24]="Annuler";
Resource[2][25]="Ajust"..string.char(195)..string.char(169).." pour les valeurs invalides";
Resource[2][26]="Trichez";
Resource[2][27]="Stats";
Resource[2][28]="R"..string.char(195)..string.char(168).."gles";
Resource[2][29]="Graphe";
Resource[2][30]="Grille";
Resource[2][31]="# Piles"
Resource[2][32]="# Suits"
Resource[2][33]="# Played"
Resource[2][34]="# Victoires"
Resource[2][35]="% Victoires"
Resource[2][36]="# Fraudes"
Resource[2][37]="Meilleur Temps"
-- rules text
Resource[2][38]="Objectif: \n L'objectif est d'empiler toutes les cartes de chaque couleur sur la pile correspondant il convient dans le milieu de l'anneau dans l'ordre avec la plus petite carte ordinale sur le fond et plus ordinale sur le dessus \n\n Terminologie.:\n Les piles de cartes formant un anneau sont appel"..string.char(195)..string.char(169).."s les Piles Ring. Les piles dans le centre de l'anneau sont piles de suit. Le pont sur la partie sup"..string.char(195)..string.char(169).."rieure droite est appel"..string.char(195)..string.char(169).."e la Chute \n\n Jouer: \n Chaque tas anneau est d'abord une carte tir"..string.char(195)..string.char(169).."e la Chute. Les cartes peuvent "..string.char(195)..string.char(170).."tre jou"..string.char(195)..string.char(169).."es "..string.char(195)..string.char(160).." partir du tas Ring ou la Chute en les faisant glisser vers une destination, soit une pile ou un anneau pile de suit. Les cartes peuvent "..string.char(195)..string.char(170).."tre plac"..string.char(195)..string.char(169).."s sur une pile anneau si elles correspondent "..string.char(195)..string.char(160).." la combinaison des cartes d"..string.char(195)..string.char(169).."j"..string.char(195)..string.char(160).." pr"..string.char(195)..string.char(169).."sentes dans cette pile et sont l'une ordinale inf"..string.char(195)..string.char(169).."rieure "..string.char(195)..string.char(160).." la carte d"..string.char(195)..string.char(169).."j"..string.char(195)..string.char(160).." l"..string.char(195)..string.char(160)..". La seule exception est que tout neuf peut "..string.char(195)..string.char(170).."tre plac"..string.char(195)..string.char(169).." sur une pile anneau vide pour d"..string.char(195)..string.char(169).."marrer une nouvelle pile. Les cartes peuvent "..string.char(195)..string.char(170).."tre plac"..string.char(195)..string.char(169).."s sur une pile de suit si elles sont un ordinale plus "..string.char(195)..string.char(169).."lev"..string.char(195)..string.char(169).." que la plus haute carte sur la pile ou sont un 1 (qui commence la pile). Cartes de la Chute sont retourn"..string.char(195)..string.char(169).."es face visible, trois "..string.char(195)..string.char(160).." la fois par un clic droit sur la face cach"..string.char(195)..string.char(169).."e du pont. Une fois retourn"..string.char(195)..string.char(169).." face visible, seule la carte sup"..string.char(195)..string.char(169).."rieure de la Chute peut "..string.char(195)..string.char(170).."tre plac"..string.char(195)..string.char(169).." sur une pile Ring ou pile de suit. Si aucune carte de la Piles Ring ou la Chute peut "..string.char(195)..string.char(170).."tre jou"..string.char(195)..string.char(169).." et la Chute est tout affronter, le joueur peut faire un clic droit de la face le pont pour faire basculer l'arri"..string.char(195)..string.char(168).."re face vers le bas et continuer "..string.char(195)..string.char(160).." jouer. Une Pile anneau entier peut "..string.char(195)..string.char(170).."tre tra"..string.char(195)..string.char(174).."n"..string.char(195)..string.char(169).." en faisant glisser la carte au bas de la pile - vous ne pouvez faire glisser une pile d'une autre pile si la carte fond, il est l'un ordinaux inf"..string.char(195)..string.char(169).."rieurs "..string.char(195)..string.char(160).." la carte du dessus de la pile de destination ou vous pouvez glisser une pile pour une pile de suit, si la carte du dessus est un ordinal sup"..string.char(195)..string.char(169).."rieur "..string.char(195)..string.char(160).." la carte du dessus de la pile. Le jeu continue jusqu'"..string.char(195)..string.char(160).." ce que toutes les cartes sont sur leurs piles suit ou le joueur d"..string.char(195)..string.char(169).."missionne (soit en fermant le plugin ou de traiter un nouveau jeu) \n\n Cheats:. \n Si les cycles de joueur "..string.char(195)..string.char(160).." travers l'ensemble de la Chute "..string.char(195)..string.char(160).." deux reprises avec aucune carte jouable, ils peut choisir de \"Cheat\" en cliquant sur le \"Cheat\" bouton. Ce sera retourner une seule carte de la pioche dans la Chute, au lieu de retournement 3 cartes. Ceci est disponible uniquement si il ya des cartes cach"..string.char(195)..string.char(169).."es dans la Chute (clic droit sur le pont pour affronter le retourner et le remplir pour permettre "..string.char(195)..string.char(160).." la Chute \"Cheat\")"
Resource[2][39]="Totaux"

-- German Deutsch
Resource[3]={};
Resource[3][1]="Deutsch";
Resource[3][2]="Spiel";
Resource[3][3]="Ring";
Resource[3][4]="Spielen";
Resource[3][5]="Aufgeben";
Resource[3][6]="Laden";
Resource[3][7]="Masse";
Resource[3][8]="Die Farbe";
Resource[3][9]="Geben";
Resource[3][10]=""; -- unused
Resource[3][11]="Men"..string.char(195)..string.char(188);
Resource[3][12]="Der Satz";
Resource[3][13]="Standard";
Resource[3][14]="HdRO-Karten";
Resource[3][15]="Optionen";
Resource[3][16]="Sprache";
Resource[3][17]="Dekorfarbe";
Resource[3][18]="Hintergrundfarbe";
Resource[3][19]="Textfarbe";
Resource[3][20]=string.char(195)..string.char(156).."berschriften Farbe";
Resource[3][21]="Listentextfarbe";
Resource[3][22]="Standardfarbe";
Resource[3][23]="Speichern";
Resource[3][24]="Abbrechen";
Resource[3][25]="bereinigt ung"..string.char(195)..string.char(188).."ltige Werte";
Resource[3][26]="Betr"..string.char(195)..string.char(188).."gen";
Resource[3][27]="Stats";
Resource[3][28]="Reglement";
Resource[3][29]="Graph";
Resource[3][30]="Gitter";
Resource[3][31]="# Masse"
Resource[3][32]="# Die Farbe"
Resource[3][33]="# Gespielt"
Resource[3][34]="# Sieg"
Resource[3][35]="% Sieg"
Resource[3][36]="# Betr"..string.char(195)..string.char(188).."ger"
Resource[3][37]="Beste Zeit"

Resource[3][38]="Ziel:\nDas Ziel ist es, alle Karten von jeder Farbe auf den Stapel passenden sie den Anzug in der Mitte des Rings, um mit der niedrigsten Ordnungszahl Karte auf dem Boden und h"..string.char(195)..string.char(182).."chsten Ordnungszahl auf\n\nTerminologie:\nDer Kartenstapel bilden einen Ring sind die Ring Piles genannt. Die Stapel in der Mitte des Rings sind die Farbstapel. Das Deck auf der rechten oberen hei"..string.char(195)..string.char(159).."t Chute\n\nSpielen:\nJeder Ring Pile wird zun"..string.char(195)..string.char(164).."chst eine Karte aus dem Chute behandelt. Die Karten k"..string.char(195)..string.char(182).."nnen aus dem Ring Piles oder Chute, indem Sie sie zu einem Ziel, entweder ein Ring Pile oder einen Farbstapel gespielt werden. Karten k"..string.char(195)..string.char(182).."nnen auf einem Ring Pile gebracht werden, wenn sie die Farbe der Karten bereits in diesem Haufen und Match sind eine Ordnungszahl niedriger als die Karte schon da. Die Ausnahme ist, dass alle 9 auf einen leeren Ring Pile zu einem neuen Stapel beginnen platziert werden k"..string.char(195)..string.char(182).."nnen. Karten k"..string.char(195)..string.char(182).."nnen "..string.char(195)..string.char(188).."ber einen Farbstapel gebracht werden, wenn sie eine Ordnungszahl h"..string.char(195)..string.char(182).."her als die h"..string.char(195)..string.char(182).."chste Karte auf dem Stapel sind oder eine 1 (die beginnt der Stack). Karten aus der Chute werden aufgedeckt, drei in einer Zeit, durch einen Rechtsklick auf das Gesicht nach unten Deck. Einmal eingeschaltet aufgedeckt, kann nur die oberste Karte des Chute auf einem Ring Pile oder Suit Stapel gelegt werden. Wenn keine Karte aus dem Ring Piles oder Chute kann gespielt werden, und die Rutsche ist alles offen, kann der Spieler der rechten Maustaste auf das Gesicht bis Deck zu Flip es wieder nach unten und weiter spielen. Eine ganze Ring Pile kann durch Ziehen der Karte an der Unterseite des Stapels gezogen werden - man kann nur ziehen Sie einen Stapel auf einen anderen Stapel, wenn es unterste Karte ist eine Ordnungszahl niedriger als die oberste Karte des Ziel-Stapel oder Sie k"..string.char(195)..string.char(182).."nnen einen Stapel zu ziehen einen Farbstapel, wenn die oberste Karte eine Ordnungszahl h"..string.char(195)..string.char(182).."her als die oberste Karte des Stapels wird. Das Spiel wird fortgesetzt, bis alle Karten auf ihren Farbstapel sind oder der Spieler scheidet aus (entweder durch das Schlie"..string.char(195)..string.char(159).."en der Plugin oder sich ein neues Spiel)\n\nCheats:\nWenn der Spieler durchl"..string.char(195)..string.char(164).."uft die gesamte Chute zweimal ohne spielbare Karten, sie kann zu \"Cheat\" durch Klicken auf die \"Cheat\"-Taste w"..string.char(195)..string.char(164).."hlen. Dabei wird eine einzige Karte aus dem Gesicht nach unten Deck Flip in der Chute statt Spiegeln 3 Karten. Dies ist nur verf"..string.char(195)..string.char(188).."gbar, wenn Gesicht verdeckte Karten in der Chute (Rechtsklick auf das Gesicht bis Deck, um es umzudrehen und Nachf"..string.char(195)..string.char(188).."llen des Chute, damit \"Cheat\")"

Resource[3][39]="Gesamtsummen"

-- fills in currently undefined foreign strings with english values
local tmpIndex;
for tmpIndex=1,#Resource[1] do
	if Resource[2][tmpIndex]==nil then Resource[2][tmpIndex]=Resource[1][tmpIndex] end
	if Resource[3][tmpIndex]==nil then Resource[3][tmpIndex]=Resource[1][tmpIndex] end
end